<?php

// An exception class for lost classes... ;-)
class FilePointerNotOpenedException extends FrameworkException {
	/**
	 * The constructor
	 *
	 * @param		$message		Message from the exception
	 * @param		$code		Code number for the exception
	 * @return	void
	 */
	public final function __construct ($path, $code) {
		// Add a message around the missing class
		$message = sprintf("F&uuml;r die Datei <u>%s</u> konnte kein Pointer initialisiert werden. M&ouml;glicherweise ist die Datei nicht lesbar oder fehlt!", $path);

		// Call parent constructor
		parent::__construct($message, $code);
	}
}

// [EOF]
?>
