<?php

// An exception class for lost classes... ;-)
class PathReadProtectedException extends FrameworkException {
	/**
	 * The constructor
	 *
	 * @param		$message		Message from the exception
	 * @param		$code		Code number for the exception
	 * @return	void
	 */
	public final function __construct ($path, $code) {
		// Add a message around the missing class
		$message = sprintf("Der Pfad <u>%s</u> ist lese-gesch&uuml;tzt. Bitte Zugriffsrechte (CHMOD) zum Lesen setzen.", $path);

		// Call parent constructor
		parent::__construct($message, $code);
	}
}

// [EOF]
?>
