<?php

// An exception class for lost classes... ;-)
class ClassMismatchException extends FrameworkException {
	/**
	 * The constructor
	 *
	 * @param		$message		Message from the exception
	 * @param		$code		Code number for the exception
	 * @return	void
	 */
	public final function __construct ($classArray, $code) {
		// Add a message around the missing class
		$message = sprintf("Die Klasse <u>%s</u> ist ungleich <u>%s</u>.",
			$classArray[0],
			$classArray[1]
		);

		// Call parent constructor
		parent::__construct($message, $code);
	}
}

// [EOF]
?>
