<?php

// An exception class for lost classes... ;-)
class ClassNotFoundException extends FrameworkException {
	/**
	 * The constructor
	 *
	 * @param		$message		Message from the exception
	 * @param		$code		Code number for the exception
	 * @return	void
	 */
	public final function __construct ($class, $code) {
		// Add a message around the missing class
		$message = sprintf("Die interne Script-Klasse <u>%s</u> konnte nicht gefunden werden!", $class);

		// Call parent constructor
		parent::__construct($message, $code);
	}
}

// [EOF]
?>
