<?php

// Unsere eigene Exception!
class ConfigEntryNotFoundException extends FrameworkException {
	/**
	 * The constructor
	 *
	 * @param		$message		Message from the exception
	 * @param		$code		Code number for the exception
	 * @return	void
	 */
	public final function __construct (array $classArray, $code) {
		// Cast the array
		$classArray = (array) $classArray;

		// Add a message around the missing class
		$message = sprintf("[%s:%d] Konfigurationseintrag <u>%s</u> nicht gefunden.",
			$classArray[0],
			$this->getLine(),
			$classArray[1]
		);

		// Call parent constructor
		parent::__construct($message, $code);
	}
}

// [EOF]
?>
