<?php

// An exception class for lost classes... ;-)
class GetterNotFoundException extends FrameworkException {
	/**
	 * The constructor
	 *
	 * @param		$message		Message from the exception
	 * @param		$code		Code number for the exception
	 * @return	void
	 */
	public final function __construct ($dataArray, $code) {
		// Cast the array
		$dataArray = (array) $dataArray;

		// Add a message around the missing class
		$message = sprintf("[%s:%d] Getter-Methode f&uuml;r Attribut <u>%s</u> nicht gefunden.",
			$dataArray[0]->__toString(),
			$this->getLine(),
			$dataArray[1]
		);

		// Call parent constructor
		parent::__construct($message, $code);
	}
}

// [EOF]
?>
