<?php

// An exception class for lost classes... ;-)
class InvalidObjectException extends FrameworkException {
	/**
	 * The constructor
	 *
	 * @param		$message		Message from the exception
	 * @param		$code		Code number for the exception
	 * @return	void
	 */
	public final function __construct ($class, $code) {
		// Add a message around the missing class
		$message = sprintf("[%s:%d] Objekte sind nicht erlaubt. (Objekt: <u>%s</u>)",
			$class->__toString(),
			$this->getLine(),
			$class->getPartDescr()
		);

		// Call parent constructor
		parent::__construct($message, $code);
	}
}

// [EOF]
?>
