<?php

// An exception class for lost classes... ;-)
class MissingDecimalsThousandsSeperatorException extends FrameworkException {
	/**
	 * The constructor
	 *
	 * @param		$message		Message from the exception
	 * @param		$code		Code number for the exception
	 * @return	void
	 */
	public final function __construct ($instance, $code) {
		// Add a message around the missing class
		$message = sprintf("[%s:%d] Die Dezimal- und Tausendertrenner fehlen!",
			$instance->__toString(),
			$this->getLine()
		);

		// Call parent constructor
		parent::__construct($message, $code);
	}
}

// [EOF]
?>
