<?php

// An exception class for lost classes... ;-)
class BasePathIsEmptyException extends FrameworkException {
	/**
	 * The constructor
	 *
	 * @param		$class		An array holding our informations
	 * @param		$code		Code number for the exception
	 * @return	void
	 */
	public final function __construct ($class, $code) {
		// Add a message around the missing class
		$message = sprintf("[%s:%d] Der Template-Basispfad ist leer.",
			$class->__toString(),
			$this->getLine()
		);

		// Call parent constructor
		parent::__construct($message, $code);
	}
}

// [EOF]
?>
