<?php
/**
 * This is an inface for limiting object while saving them with the
 * DatabaseConnection class.
 *
 * @author	Roland Haeder <roland __NOSPAM__ [at] __REMOVE_ME__ mxchange [dot] org>
 * @version	0.1
 */
interface LimitableObject extends FrameworkInterface {
	/**
	 * Reduces the volume of a processed object.
	 *
	 * @param		$limitInstance		An instance to ObjectLimits which holds
	 *							attribute names that we want to include
	 *							in the processing phase. Other attributes
	 *							except $uniqueID and $realClass will be
	 *							ignored and keept out.
	 * @return	void
	 */
	function limitObject (ObjectLimits $limitInstance);
}

// [EOF]
?>
