<?php
/**
 * Class for saving arrays as an object. We need this little extension for
 * some common methods used in the whole application. Please see below if you
 * need more details.
 */
class FrameworkArrayObject extends ArrayObject {
	/**
	 * Constructor for smooth coding style ;-)
	 *
	 * @param		$class	The class's real name
	 * @return	void
	 */
	public function constructor ($class) {
		// $class will be ignored for backward compatiblity
	}

	/**
	 * Get real class' name back
	 *
	 * @return	$realClass	The class' real name
	 */
	public function __toString () {
		return get_class($this);
	}
}

// [EOF]
?>
