<?php

// An exception class for lost classes... ;-)
class InvalidMD5ChecksumException extends FrameworkException {
	/**
	 * The constructor
	 *
	 * @param		$message		Message from the exception
	 * @param		$code		Code number for the exception
	 * @return	void
	 */
	public final function __construct ($array, $code) {
		// Cast the array
		$array = (array) $array;

		// Add a message around the missing class
		$message = sprintf("[%s:%d] Die MD5-Pr&uuml;fsummen <u>%s</u> und <u>%s</u> stimmen nicht &uuml;berein!",
			$array[0]->__toString(),
			$this->getLine(),
			$array[1],
			$array[2]
		);

		// Call parent constructor
		parent::__construct($message, $code);
	}
}

// [EOF]
?>
