<?php

// An exception class for lost classes... ;-)
class LanguagePathReadProtectedException extends FrameworkException {
	/**
	 * The constructor
	 *
	 * @param		$message		Message from the exception
	 * @param		$code		Code number for the exception
	 * @return	void
	 */
	public final function __construct ($class, $code) {
		// Add a message around the missing class
		$message = sprintf("[%s:%d] Der Sprach-Basispfad <u>%s</u> ist lesegesch&uuml;tzt! Bitte Zugriffsrechte (CHMOD) &auml;ndern.",
			$class[0]->__toString(),
			$this->getLine(),
			$class[1]
		);

		// Call parent constructor
		parent::__construct($message, $code);
	}
}

// [EOF]
?>
