<?php

// Unsere eigene Exception!
class ExceptionNotChangedException extends FrameworkException {
	/**
	 * The constructor
	 *
	 * @param		$message		Message from the exception
	 * @param		$code		Code number for the exception
	 * @return	void
	 */
	public final function __construct ($class, $code) {
		// Add a message around the missing class
		$message = sprintf("[%s:%d] Exception(s) wurde(n) nicht ge&auml;ndert.",
			$class,
			$this->getLine()
		);

		// Call parent constructor
		parent::__construct($message, $code);
	}
}

// [EOF]
?>
