<?php

// An exception class for lost classes... ;-)
class InvalidArrayCountException extends FrameworkException {
	/**
	 * The constructor
	 *
	 * @param		$message		Message from the exception
	 * @param		$code		Code number for the exception
	 * @return	void
	 */
	public final function __construct ($array, $code) {
		// Cast the array
		$array = (array) $array;

		// Add a message around the missing class
		$message = sprintf("[%s:%d] <u>%s</u> hat <u>%d</u> Elemente, soll aber <u>%d</u> enthalten!",
			$array[0]->__toString(),
			$this->getLine(),
			$array[1],
			$array[2],
			$array[3]
		);

		// Call parent constructor
		parent::__construct($message, $code);
	}
}

// [EOF]
?>
