<?php

// An exception class for lost classes... ;-)
class MissingMethodException extends FrameworkException {
	/**
	 * The constructor
	 *
	 * @param		$message		Message from the exception
	 * @param		$code		Code number for the exception
	 * @return	void
	 */
	public final function __construct ($classArray, $code) {
		// Cast the array
		$classArray = (array) $classArray;

		// Add a message around the missing class
		$message = sprintf("[%s:%d] Weisst keine Methode <u>%s()</u> auf!",
			$classArray[0]->__toString(),
			$this->getLine(),
			$classArray[1]
		);

		// Call parent constructor
		parent::__construct($message, $code);
	}
}

// [EOF]
?>
