<?php

// An exception class for lost classes... ;-)
class NoArrayCreatedException extends FrameworkException {
	/**
	 * The constructor
	 *
	 * @param		$message		Message from the exception
	 * @param		$code		Code number for the exception
	 * @return	void
	 */
	public final function __construct ($array, $code) {
		// Cast the array
		$array = (array) $array;

		// Add a message around the missing class
		$message = sprintf("[%s:%d] <u>%s</u> ist kein erstelltes Objekt.",
			$array[0]->__toString(),
			$this->getLine(),
			$array[1]
		);

		// Call parent constructor
		parent::__construct($message, $code);
	}
}

// [EOF]
?>
