<?php

// An exception class for lost classes... ;-)
class NoObjectException extends FrameworkException {
	/**
	 * The constructor
	 *
	 * @param		$message		Message from the exception
	 * @param		$code		Code number for the exception
	 * @return	void
	 */
	public final function __construct ($string, $code) {
		// Add a message around the missing class
		$message = sprintf("<u>%s</u> ist kein Objekt!",
			$string
		);

		// Call parent constructor
		parent::__construct($message, $code);
	}
}

// [EOF]
?>
