<?php

// An exception class for lost classes... ;-)
class NullPointerException extends FrameworkException {
	/**
	 * The constructor
	 *
	 * @param		$message		Message from the exception
	 * @param		$code		Code number for the exception
	 * @return	void
	 */
	public final function __construct ($class, $code) {
		// Add a message around the missing class
		$message = sprintf("[%s:%d] Eine Instanz/Pointer ist auf <em>null</em> gesetzt.",
			$class->__toString(),
			$this->getLine()
		);

		// Call parent constructor
		parent::__construct($message, $code);
	}
}

// [EOF]
?>
