<?php
/**
 * An interface for output streams
 * 
 *
 * @author	Roland Haeder <roland __NOSPAM__ [at] __REMOVE_ME__ mxchange [dot] org>
 * @version	0.1
 */
interface OutputStreamer extends Streamable {
	/**
	 * Assigns a variable for output
	 *
	 * @param		$var		The variable we shall assign
	 * @param		$value	The value to store in the variable
	 * @return	void
	 */
	function assignVariable ($var, $value);

	/**
	 * Output the code
	 *
	 * @return	void
	 */
	function output ($outStream=false);
}

//
?>
