<?php
/**
 * An abstract middleware class for all other middlware classes
 */
class BaseMiddleware extends BaseFrameworkSystem {
	/**
	 * Private constructor
	 *
	 * @return	void
	 */
	private function __construct ($class) {
		// Call parent constructor
		parent::constructor($class);

		// Clean up a little
		$this->removeNumberFormaters();
	}

	/**
	 * Public constructor
	 *
	 * @return	void
	 */
	public function constructor ($class) {
		// Just call the private constructor
		$this->__construct($class);
	}
}

// [EOF]
?>
